package com.tzld.piaoquan.tencentad.service;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.po.AdVideoImage;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoImageParam;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoImageVo;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface AdVideoImageService {

    boolean addAdVideoImage(Long adVideoId, String url);

    CommonResponse<List<AdVideoImageVo>> getAdVideoImageVoList(Long adVideoId);

    CommonResponse<Void> updateAdVideoImage(AdVideoImageParam adVideoImageParam);

    boolean uploadImageToTencent(String account, String accessToken, Long adVideoId);

    CommonResponse<Void> uploadMuseImage(MultipartFile file, Long adVideoId);

    AdVideoImage getAdVideoImageById(Long adVideoImageId);
}
