package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum AdVideoStatusEnum {

    DEFAULT(0, "默认"),
    CROP_SUCCESS(1, "裁剪成功"),
    CROP_FAIL(2, "裁剪失败");
//    VERIFY_SUCCESS(3, "审核通过"),
//    VERIFY_FAIL(4, "审核不通过"),
//    UPLOAD_SUCCESS(5, "上传成功"),
//    UPLOAD_FAIL(6, "上传失败"),
//    MUSE_SUCCESS(7, "妙思任务成功"),
//    MUSE_FAIL(8, "妙思任务成功"),
//    MUSE_UPLOAD_SUCCESS(9, "妙思任务二次编辑上传成功"),
//    MUSE_UPLOAD_FAIL(10, "妙思任务二次编辑上传失败");


    final Integer status;

    final String desc;

    AdVideoStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static AdVideoStatusEnum getByStatus(Integer status) {
        for (AdVideoStatusEnum adStatusEnum : AdVideoStatusEnum.values()) {
            if (Objects.equals(adStatusEnum.getStatus(), status)) {
                return adStatusEnum;
            }
        }
        return null;
    }


}
